﻿//
// MainPage.xaml.h
// Declaration of the MainPage class.
//

#pragma once

#include "MainPage.g.h"

#include <uFCoder.h>

namespace AppTestUFRlib
{
	/// <summary>
	/// An empty page that can be used on its own or navigated to within a Frame.
	/// </summary>
	public ref class MainPage sealed
	{
	public:
		MainPage();

	private:

		char msg[1024];
		void wr_stat(const char *msg);

		UFR_STATUS status;

		void bRdOpen_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
		void bRdClose_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
		void bRdInfo_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
		void bRdSignal_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
		void bRdCardID_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e);
	};
}
